# $Revision: 1.3 $, $Date: 2007-05-09 20:55:07 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	DNS-Resolver-Programmable
Summary:	Net::DNS::Resolver::Programmable - programmable DNS resolver class for offline emulation of DNS
Summary(pl.UTF-8):	Net::DNS::Resolver::Programmable - klasa programowalnego resolvera DNS do emulacji DNS-a offline
Name:		perl-Net-DNS-Resolver-Programmable
Version:	0.002.2
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8f3e5481e069c1657b8b4aefbfeb3549
URL:		http://search.cpan.org/dist/Net-DNS-Resolver-Programmable/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-version
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Net-DNS >= 0.59-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant
class that allows a virtual DNS to be emulated instead of querying the
real DNS. A set of static DNS records may be supplied, or arbitrary
code may be specified as a means for retrieving DNS records, or even
generating them on the fly.

%description -l pl.UTF-8
Net::DNS::Resolver::Programmable to klasa potomna klasy
Net::DNS::Resolver pozwalająca na emulowanie wirtualnego DNS-a zamiast
odpytywania rzeczywistego. Można przekazać zbiór statycznych rekordów
DNS, przekazać dowolny kod do odtwarzania rekordów DNS, a nawet
generować je w locie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES INSTALL README TODO
%{perl_vendorlib}/Net/DNS/Resolver/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-DNS-Resolver-Programmable.spec,v $
Revision 1.3  2007-05-09 20:55:07  qboosh
- pl

Revision 1.2  2007/05/03 22:20:28  adamg
- BR: perl-Module-Build, perl-version
- R: perl-Net-DNS >= 0.59-2 (for Net/DNS/Resolver dir)
- release 2

Revision 1.1  2007/05/03 15:48:59  adamg
- new
